# Uses of Interface
org.eclipse.e4.ui.css.core.engine.CSSElementContext

Packages that use CSSElementContext
Package
Description
org.eclipse.e4.ui.css.core.css2
org.eclipse.e4.ui.css.core.engine
org.eclipse.e4.ui.css.core.impl.engine
org.eclipse.e4.ui.css.swt.helpers

## Uses of CSSElementContext in org.eclipse.e4.ui.css.core.css2

Methods in org.eclipse.e4.ui.css.core.css2 with parameters of type CSSElementContext
Modifier and Type
Method
Description
`static CSS2FontProperties`
CSS2FontPropertiesHelpers.`getCSS2FontProperties(CSSElementContext context)`
Get `CSS2FontProperties` from `CSSElementContext` context.
`static void`
CSS2FontPropertiesHelpers.`setCSS2FontProperties(CSS2FontProperties fontProperties, CSSElementContext context)`
Set `CSS2FontProperties` `fontProperties` into `CSSElementContext` context.

## Uses of CSSElementContext in org.eclipse.e4.ui.css.core.engine

Methods in org.eclipse.e4.ui.css.core.engine that return CSSElementContext
Modifier and Type
Method
Description
`CSSElementContext`
CSSEngine.`getCSSElementContext(Object node)`
Get the `CSSElementContext` context of the object `node`.

## Uses of CSSElementContext in org.eclipse.e4.ui.css.core.impl.engine

Classes in org.eclipse.e4.ui.css.core.impl.engine that implement CSSElementContext
Modifier and Type
Class
Description
`class`
`CSSElementContextImpl`
Methods in org.eclipse.e4.ui.css.core.impl.engine that return CSSElementContext
Modifier and Type
Method
Description
`CSSElementContext`
CSSEngineImpl.`getCSSElementContext(Object element)`
Methods in org.eclipse.e4.ui.css.core.impl.engine that return types with arguments of type CSSElementContext
Modifier and Type
Method
Description
`protected Map<Object, CSSElementContext>`
CSSEngineImpl.`getElementsContext()`

## Uses of CSSElementContext in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers with parameters of type CSSElementContext
Modifier and Type
Method
Description
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Font font, CSSElementContext context)`
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Widget widget, CSSElementContext context)`
Get CSS2FontProperties from the widget.
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Widget widget, Font font, CSSElementContext context)`
Get CSS2FontProperties from Control stored into Data of Control.